# class Bundler::Fetcher::Base

### Attributes

display_uri[R]
downloader[R]
remote[R]

### Public Class Methods

new(downloader, remote, display_uri) click to toggle source

    # File lib/bundler/fetcher/base.rb, line 10
    def initialize(downloader, remote, display_uri)
      raise "Abstract class" if self.class == Base
      @downloader = downloader
      @remote = remote
      @display_uri = display_uri
    end

### Public Instance Methods

api_fetcher?() click to toggle source

    # File lib/bundler/fetcher/base.rb, line 37
    def api_fetcher?
      false
    end

available?() click to toggle source

    # File lib/bundler/fetcher/base.rb, line 33
    def available?
      true
    end

fetch_uri() click to toggle source

    # File lib/bundler/fetcher/base.rb, line 21
    def fetch_uri
      @fetch_uri ||= begin
        if remote_uri.host == "rubygems.org"
          uri = remote_uri.dup
          uri.host = "index.rubygems.org"
          uri
        else
          remote_uri
        end
      end
    end

remote_uri() click to toggle source

    # File lib/bundler/fetcher/base.rb, line 17
    def remote_uri
      @remote.uri
    end

### Private Instance Methods

log_specs(debug_msg) click to toggle source

    # File lib/bundler/fetcher/base.rb, line 43
    def log_specs(debug_msg)
      if Bundler.ui.debug?
        Bundler.ui.debug debug_msg
      else
        Bundler.ui.info ".", false
      end
    end